Bug 1282636 - [abrt] yumex-dnf: locale.py:592:setlocale:locale.Error: unsupported locale setting
[abrt] yumex-dnf: locale.py:592:setlocale:locale.Error: unsupported locale se...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yumex-dnf (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:327af5f7e1a7e41d37dcdc42ea0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 18:11 EST by mrh
Modified: 2016-12-20 10:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:59:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (661 bytes, text/plain)
2015-11-16 18:11 EST, mrh
no flags Details
File: environ (2.11 KB, text/plain)
2015-11-16 18:11 EST, mrh
no flags Details
filechooser showing incorrect timedata format according to locale setting (27.54 KB, image/jpeg)
2015-12-07 16:26 EST, mrh
no flags Details

  None (edit)
Description mrh 2015-11-16 18:11:25 EST
Version-Release number of selected component:
yumex-dnf-4.1.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python3 -tt /bin/yumex-dnf
executable:     /bin/yumex-dnf
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
locale.py:592:setlocale:locale.Error: unsupported locale setting

Traceback (most recent call last):
  File "/bin/yumex-dnf", line 33, in <module>
    from yumex import YumexApplication
  File "/usr/lib/python3.4/site-packages/yumex/__init__.py", line 25, in <module>
    from yumex.misc import doGtkEvents, _, CONFIG, ExceptionHandler,\
  File "/usr/lib/python3.4/site-packages/yumex/misc.py", line 38, in <module>
    locale.setlocale(locale.LC_ALL, '')
  File "/usr/lib64/python3.4/locale.py", line 592, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

Local variables in innermost frame:
category: 6
locale: ''

Potential duplicate: bug 1225635
Comment 1 mrh 2015-11-16 18:11:28 EST
Created attachment 1095142 [details]
File: backtrace
Comment 2 mrh 2015-11-16 18:11:29 EST
Created attachment 1095143 [details]
File: environ
Comment 3 Tim Lauridsen 2015-11-20 03:39:03 EST
Look like some problem with the locale setting on your system

please post the output from

# locale

and

# locale -a
Comment 4 mrh 2015-12-07 16:26 EST
Created attachment 1103371 [details]
filechooser showing incorrect timedata format according to locale setting

screen shot of filechooser showing incorrect locale format. Same issue in dolphin and anywhere time/date is displayed.

I have also modified and a locale to properly display the timedate formats. It half works, displaying the date format correctly but not the time, despite what the locale reports.
Comment 5 mrh 2015-12-07 16:39:06 EST
(In reply to Tim Lauridsen from comment #3)
> Look like some problem with the locale setting on your system
> 
> please post the output from
> 
> # locale
> 
> and
> 
> # locale -a

Was trying to set system time and date format to 24hr and YYYY-MM-DD. So was playing with locale settings. Created localized version of en_CA to en_CA@iso with proper required date/time format. Partially worked, date fmt displayed correctly but not time. Adding to either ~./bashrc or /etc/locale.conf did not properly work either.

Result is still can't proper date(24hr) & time formats (YYYY-MM-DD) displayed for en_CA.

$locale
LANG=en_CA.UTF-8
LC_CTYPE="en_CA.UTF-8"
LC_NUMERIC="en_CA.UTF-8"
LC_TIME=en_DK.UTF-8
LC_COLLATE="en_CA.UTF-8"
LC_MONETARY="en_CA.UTF-8"
LC_MESSAGES="en_CA.UTF-8"
LC_PAPER="en_CA.UTF-8"
LC_NAME="en_CA.UTF-8"
LC_ADDRESS="en_CA.UTF-8"
LC_TELEPHONE="en_CA.UTF-8"
LC_MEASUREMENT="en_CA.UTF-8"
LC_IDENTIFICATION="en_CA.UTF-8"
LC_ALL=

$locale -a
(partial output)
en_CA
en_CA@iso
en_CA.iso88591
en_CA.utf8
en_CA.utf8@iso
en_DK
en_DK.iso88591
en_DK.utf8
en_GB
en_GB.iso88591
en_GB.iso885915
en_GB.utf8
Comment 6 Fedora End Of Life 2016-11-24 08:30:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 10:59:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.